PAlib: Keyboard...

Main Page | Modules | File List | Globals | Search for

# Keyboard...

## Defines

#define | PA_EraseLastKey() PA_SetLetterPal(Keyboard.oldX, Keyboard.oldY, 15)
| Erase the last key lit up (if it didn't on it's own)

## Functions

void | PA_InitKeyboard (u8 bg_number)
| Initialise the Keyboard on a given background. Uses 16 color palettes 14 and 15 (doesn't mix with text though, don't worry)
char | PA_CheckKeyboard (void)
| Checks if the keyboard is used, and return the letter :) Use this every turn (even if the stylus isn't pressed)
void | PA_ScrollKeyboardX (s16 x)
| Set the Keyboard's X position
void | PA_ScrollKeyboardY (s16 y)
| Set the Keyboard's Y position
void | PA_ScrollKeyboardXY (s16 x, s16 y)
| Set the Keyboard's position
void | PA_KeyboardIn (s16 x, s16 y)
| Make the keyboard enter to position (x, y), scrolling from the bottom of the screen
void | PA_KeyboardOut (void)
| Make the keyboard scroll out
void | PA_ReloadKeyboardCol (void)
| Reloads the keyboard's palette, usefull if you changed the background palette
void | PA_SetKeyboardColor (u8 color1, u8 color2)
| You can change the color used by the keyboard...

## Detailed Description

Load a keyboard and have fun

## Function Documentation

void PA_InitKeyboard | ( | u8 | bg_number | ) |

Initialise the Keyboard on a given background. Uses 16 color palettes 14 and 15 (doesn't mix with text though, don't worry)

Parameters:

  | bg_number | Background number (0-3)

inline void PA_KeyboardIn | ( | s16 | x,
|  | s16 | y
| ) | `[inline]`

Make the keyboard enter to position (x, y), scrolling from the bottom of the screen

Parameters:

  | x | X position...
  | y | Y position...

inline void PA_ScrollKeyboardX | ( | s16 | x | ) | `[inline]`

Set the Keyboard's X position

Parameters:

  | x | X position...

inline void PA_ScrollKeyboardXY | ( | s16 | x,
|  | s16 | y
| ) | `[inline]`

Set the Keyboard's position

Parameters:

  | x | X position...
  | y | Y position...

inline void PA_ScrollKeyboardY | ( | s16 | y | ) | `[inline]`

Set the Keyboard's Y position

Parameters:

  | y | Y position...

inline void PA_SetKeyboardColor | ( | u8 | color1,
|  | u8 | color2
| ) | `[inline]`

You can change the color used by the keyboard...

Parameters:

  | color1 | Normal color, 0 for blue, 1 for red, 2 for green
  | color2 | Pressed key color, 0 for blue, 1 for red, 2 for green